hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Phabricator (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-2805) Move metastore upgrade scripts labeled 0.10.0 into scripts labeled 0.9.0
Date Thu, 16 Feb 2012 03:07:06 GMT

     [ https://issues.apache.org/jira/browse/HIVE-2805?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Phabricator updated HIVE-2805:
------------------------------

    Attachment: HIVE-2805.D1743.1.patch

kevinwilfong requested code review of "HIVE-2805 [jira] Move metastore upgrade scripts labeled
0.10.0 into scripts labeled 0.9.0".
Reviewers: JIRA

  https://issues.apache.org/jira/browse/HIVE-2805

  Changed all metastore upgrade script names from 010 to 009 replaced 0.9.0 schema scripts
with the contents of the 0.10.0 schema scripts and deleted the 0.10.0 schema scripts, modified
the 0.8.0-to-0.9.0 updgrade scripts to call the new scripts and delted the 0.9.0-to-0.10.0
scripts.

  Move contents of upgrade-0.9.0-to-0.10.0.mysql.sql, upgrade-0.9.0-to-0.10.0.derby.sql into
upgrade-0.8.0-to-0.9.0.mysql.sql, upgrade-0.8.0-to-0.9.0.derby.sql

  Rename hive-schema-0.10.0.derby.sql, hive-schema-0.10.0.mysql.sql to hive-schema-0.9.0.derby.sql,
hive-schema-0.9.0.mysql.sql

TEST PLAN
  EMPTY

REVISION DETAIL
  https://reviews.facebook.net/D1743

AFFECTED FILES
  metastore/scripts/upgrade/derby/010-HIVE-2612.derby.sql
  metastore/scripts/upgrade/derby/upgrade-0.9.0-to-0.10.0.derby.sql
  metastore/scripts/upgrade/derby/009-HIVE-2612.derby.sql
  metastore/scripts/upgrade/derby/hive-schema-0.9.0.derby.sql
  metastore/scripts/upgrade/derby/hive-schema-0.10.0.derby.sql
  metastore/scripts/upgrade/derby/upgrade-0.8.0-to-0.9.0.derby.sql
  metastore/scripts/upgrade/mysql/010-HIVE-2612.mysql.sql
  metastore/scripts/upgrade/mysql/upgrade-0.9.0-to-0.10.0.mysql.sql
  metastore/scripts/upgrade/mysql/009-HIVE-2612.mysql.sql
  metastore/scripts/upgrade/mysql/hive-schema-0.9.0.mysql.sql
  metastore/scripts/upgrade/mysql/hive-schema-0.10.0.mysql.sql
  metastore/scripts/upgrade/mysql/upgrade-0.8.0-to-0.9.0.mysql.sql
  metastore/scripts/upgrade/postgres/010-HIVE-2612.postgres.sql
  metastore/scripts/upgrade/postgres/009-HIVE-2612.postgres.sql

MANAGE HERALD DIFFERENTIAL RULES
  https://reviews.facebook.net/herald/view/differential/

WHY DID I GET THIS EMAIL?
  https://reviews.facebook.net/herald/transcript/3711/

Tip: use the X-Herald-Rules header to filter Herald messages in your client.

                
> Move metastore upgrade scripts labeled 0.10.0 into scripts labeled 0.9.0
> ------------------------------------------------------------------------
>
>                 Key: HIVE-2805
>                 URL: https://issues.apache.org/jira/browse/HIVE-2805
>             Project: Hive
>          Issue Type: Task
>            Reporter: Kevin Wilfong
>            Assignee: Kevin Wilfong
>         Attachments: HIVE-2805.D1743.1.patch
>
>
> Move contents of upgrade-0.9.0-to-0.10.0.mysql.sql, upgrade-0.9.0-to-0.10.0.derby.sql
into upgrade-0.8.0-to-0.9.0.mysql.sql, upgrade-0.8.0-to-0.9.0.derby.sql
> Rename hive-schema-0.10.0.derby.sql, hive-schema-0.10.0.mysql.sql to hive-schema-0.9.0.derby.sql,
hive-schema-0.9.0.mysql.sql

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message